Skip to main content
GET
/
base
/
{baseId}
/
node
/
tree
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/node/tree \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "nodes": [
    {
      "id": "<string>",
      "parentId": "<string>",
      "resourceId": "<string>",
      "order": 123,
      "resourceType": "table",
      "resourceMeta": {
        "name": "<string>",
        "icon": "<string>",
        "defaultViewId": "<string>"
      },
      "defaultUrl": "<string>",
      "parent": {
        "id": "<string>"
      },
      "children": [
        {
          "id": "<string>",
          "order": 123
        }
      ]
    }
  ],
  "maxFolderDepth": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required

Response

200 - application/json

Nodes

nodes
object[]
required
maxFolderDepth
number
required
Last modified on March 5, 2026